[bug #36487] dev-libs/XCode can't be used under apple-apple-apple

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

[bug #36487] dev-libs/XCode can't be used under apple-apple-apple

npower
URL:
  <http://savannah.gnu.org/bugs/?36487>

                 Summary: dev-libs/XCode can't be used under apple-apple-apple
                 Project: GNUstep
            Submitted by: leeg
            Submitted on: Thu 17 May 2012 04:37:42 PM GMT
                Category: Libraries
                Severity: 3 - Normal
              Item Group: Bug
                  Status: None
                 Privacy: Public
             Assigned to: None
             Open/Closed: Open
         Discussion Lock: Any

    _______________________________________________________

Details:

It doesn't include the GNUStepBase extensions header, so at runtime my program
tries to link symbols like _ASSIGN (because they weren't expanded as macros).
Here's a patch against current trunk/modules/dev-libs/XCode.


Index: PBXCommon.h
===================================================================
--- PBXCommon.h (revision 35156)
+++ PBXCommon.h (working copy)
@@ -0,0 +1 @@
+#include <GNUstepBase/GNUstep.h>
Index: PBXCoder.m
===================================================================
--- PBXCoder.m (revision 35156)
+++ PBXCoder.m (working copy)
@@ -1,5 +1,6 @@
 #import "PBXCoder.h"
 #import "PBXContainer.h"
+#import "PBXCommon.h"
 
 #import <stdlib.h>
 #import <unistd.h>





    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?36487>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.gnu.org/


_______________________________________________
Bug-gnustep mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/bug-gnustep
Reply | Threaded
Open this post in threaded view
|

[bug #36487] dev-libs/XCode can't be used under apple-apple-apple

npower
Follow-up Comment #1, bug #36487 (project gnustep):

I don't see how the solution you siggested would resolve the issue. Instead I
think we need to include GNUstep.h in all the files where ASSIGN or one of the
other GNUstep macros gets used.

    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?36487>

_______________________________________________
  Nachricht gesendet von/durch Savannah
  http://savannah.gnu.org/


_______________________________________________
Bug-gnustep mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/bug-gnustep
Reply | Threaded
Open this post in threaded view
|

[bug #36487] dev-libs/XCode can't be used under apple-apple-apple

npower
Follow-up Comment #2, bug #36487 (project gnustep):

Fred, everything in dev-libs/xcode imports PBXCommon.h, as it contains the
stuff common to everything in the library. Therefore including GNUstep.h there
means a simple change to have the ASSIGN etc. macros available throughout the
library.

    _______________________________________________________

Reply to this item at:

  <http://savannah.gnu.org/bugs/?36487>

_______________________________________________
  Message sent via/by Savannah
  http://savannah.gnu.org/


_______________________________________________
Bug-gnustep mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/bug-gnustep
Reply | Threaded
Open this post in threaded view
|

[bug #36487] dev-libs/XCode can't be used under apple-apple-apple

npower
Update of bug #36487 (project gnustep):

             Assigned to:                    None => gcasa                  


    _______________________________________________________

Reply to this item at:

  <https://savannah.gnu.org/bugs/?36487>

_______________________________________________
  Message sent via Savannah
  https://savannah.gnu.org/